"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const BaseSingletonDefinition_1 = require("../ioc/objectdefinition/BaseSingletonDefinition");
const MysqlClient_1 = require("./MysqlClient");
class MysqlConfigManager {
    static registerSingletons(context) {
        if (!context.hasConfig('mysql')) {
            // No Mysql configured. Skipping
            return;
        }
        const confs = context.getConfig('mysql');
        Object.keys(confs).forEach((key) => {
            const clientSingleton = new BaseSingletonDefinition_1.BaseSingletonDefinition(MysqlClient_1.MysqlClient, key);
            clientSingleton.setPropertyByValue('name', key);
            clientSingleton.setPropertyByValue('configuration', confs[key]);
            context.registerSingletons(clientSingleton);
        });
    }
}
exports.MysqlConfigManager = MysqlConfigManager;
//# sourceMappingURL=MysqlConfigManager.js.map