"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const BaseSingletonDefinition_1 = require("../ioc/objectdefinition/BaseSingletonDefinition");
const PostgresClient_1 = require("./PostgresClient");
class PostgresConfigManager {
    static registerSingletons(context) {
        if (!context.hasConfig('postgres')) {
            // No Mysql configured. Skipping
            return;
        }
        const confs = context.getConfig('postgres');
        Object.keys(confs).forEach((key) => {
            const clientSingleton = new BaseSingletonDefinition_1.BaseSingletonDefinition(PostgresClient_1.PostgresClient, key);
            clientSingleton.setPropertyByValue('name', key);
            clientSingleton.setPropertyByValue('configuration', confs[key]);
            context.registerSingletons(clientSingleton);
        });
    }
}
exports.PostgresConfigManager = PostgresConfigManager;
//# sourceMappingURL=PostgresConfigManager.js.map